Bug 59443 - Kickstart vis nfs fails if your boot image is 'ks'
Kickstart vis nfs fails if your boot image is 'ks'
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-07 19:17 EST by Mike Ireton
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 12:02:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Ireton 2002-02-07 19:17:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.17 i686)

Description of problem:
If the installation is started via floppy, using a section label of 'ks'
(presumably, a user added section to the distributed boot image that means to
boot via kickstart with user supplied options...), anaconda will fail to locate
the correct ks.cfg file, even tho it's correctly appended to the kernel command
line paramaters. Renaming the boot section to something other than 'ks' corrects
the problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a boot floppy using images/bootnet.img from the redhat cdrom.
2. Modify the file syslinux.cfg so that it has a new section named 'ks'. For
example:

label ks
  kernel vmlinuz
  append initrd=initrd.img console=ttyS0,9600 console=tty0 devfs=nomount network
ksdevice=eth0 ks=nfs:192.168.1.254:/opt/redhat/ks-default.cfg text

3. Boot from this floppy and select this image to boot.

	
	

Actual Results:  
	Assuming you had a dhcp server and an nfs server as specfied above in the
command line, the system would fail to locate 'ks-default.cfg' on the nfs
server. Instead of using nfs to mount /opt/redhat, grab the specfied file, then
do an install from /opt/redhat, the system instead tries to mount /kickstart
from the dhcp server.


Additional info:


Renaming the section from 'ks' to anything else, immediately fixes the problem.
Comment 1 Jeremy Katz 2002-02-11 12:02:26 EST
A label 'ks' already exists by default in the syslinux.cfg; are you replacing
this section or just adding another one?  syslinux may well get confused by two
stanzas of the same name.
Comment 2 Jeremy Katz 2002-02-11 12:23:07 EST
Email from the user --

        Hmm, now that I've looked again, I see there are two ks stanzas
on my test floppy. User misconfliguration, sorry.

Note You need to log in before you can comment on or make changes to this bug.